from ..knowledge_base import KnowledgeBase
from ..session.org_mode import global_session as session

from . import gac_100


def ask_then_learn_test(knowledge: KnowledgeBase):
    with session().log("is icecream blue?"):
        ret, _, _ = knowledge.process("is icecream blue?")
        assert(ret is False)

    with session().log("icecream is blue"):
        ret, _, _ = knowledge.process("icecream is blue")

    with session().log("is icecream blue?"):
        ret, _, _ = knowledge.process("is icecream blue?")
        assert(ret is True)

    return knowledge


def main():
    knowledge = gac_100.main()

    knowledge = ask_then_learn_test(knowledge)
